Get Websockets Token
curl --request POST \
--url https://gateway.varchev.com/crypto/getWebSocketsAuth \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '{}'import requests
url = "https://gateway.varchev.com/crypto/getWebSocketsAuth"
payload = {}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://gateway.varchev.com/crypto/getWebSocketsAuth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": [],
"result": {
"token": "1Dwc4lzSwNWOAwkMdqhssNNFhs1ed606d1WcF3XfEMw",
"expires": 900
}
}Private
Get Websockets Token
An authentication token must be requested via this REST API endpoint in order to connect to and authenticate with our Websockets API. The token should be used within 15 minutes of creation, but it does not expire once a successful Websockets connection and private subscription has been made and is maintained.
The ‘Access WebSockets API’ permission must be enabled for the API key in order to generate the authentication token.
POST
/
getWebSocketsAuth
Get Websockets Token
Headers
Tenant/Owner id
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.
⌘I

